#!/bin/bash

VERSION=`cat VERSION`
echo VERSION: $VERSION

echo "Update 'common/control'"
sed -i -e "s/^Version: .*$/Version: $VERSION/" common/debian_specific/control

echo "Update 'gnome/control'"
sed -i -e "s/^Version: .*$/Version: $VERSION/" -e "s/yadsync-common (= [^)]*)/yadsync-common (= $VERSION)/" gnome/debian_specific/control

echo "Update 'kde4/control'"
sed -i -e "s/^Version: .*$/Version: $VERSION/" -e "s/yadsync-common (= [^)]*)/yadsync-common (= $VERSION)/" kde4/debian_specific/control

echo "Update 'common/config.py'"
sed -i -e "s/^\tVERSION = '.*'$/\tVERSION = '$VERSION'/" common/config.py

echo "Update GNOME man page"
FILE=gnome/man/C/yadsync-gnome.1
gzip -d $FILE.gz
sed -i -e "s/\.TH\(.*\)\"version\([^\"]*\)\"\(.*\)$/.TH\1\"version $VERSION\"\3/" $FILE
gzip --best $FILE

echo "Update KDE4 man page"
FILE=kde4/man/C/yadsync-kde4.1
gzip -d $FILE.gz
sed -i -e "s/\.TH\(.*\)\"version\([^\"]*\)\"\(.*\)$/.TH\1\"version $VERSION\"\3/" $FILE
gzip --best $FILE

